all: server

clean:
		rm -rf *.o
		@rm -rf server

server: main.o httpd.o
		gcc -o server $^ -lssl -lcrypto -I.

main.o: main.c httpd.h
		gcc -c -o main.o main.c -lssl -lcrypto -I.

httpd.o: httpd.c httpd.h
		gcc -c -o httpd.o httpd.c